Actualmente estoy intentando instalar Circos en Ubuntu.

Según las instrucciones, fui a la carpeta bin y ejecuté perl circos

Recibí un error que me decía que no se instalaron varios módulos. Traté de instalarlos y todos funcionaron excepto dos.

Cuando entro en el shell cpan:

cpan[7]> install GD.pm
Running install for module 'GD'
  LDS/GD-2.56.tar.gz
  Has already been unwrapped into directory /home/qiime/.cpan/build/GD-2.56-DqDuWT
  LDS/GD-2.56.tar.gz
  '/usr/bin/perl Build.PL --installdirs site' returned status 512, not re-running

Si lo ejecuto desde la terminal principal:

qiime@qiime-190-virtual-box:~/Documents/circos-0.69/bin$ perl -MCPAN -e 'install GD'
Reading '/home/qiime/.cpan/Metadata'
  Database was generated on Wed, 27 Jan 2016 07:41:02 GMT
Running install for module 'GD'
Checksum for /home/qiime/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok

==> Couldn't mkdir '/home/qiime/.cpan/build/tmp-8161': Permission denied

==> Cannot continue: Please find the reason why I cannot make the <==
==> directory                                                     <==
==> /home/qiime/.cpan/build/tmp-8161                              <==
==> and fix the problem, then retry.                              <==

Todos los demás módulos (~ 15 módulos en total) instalados sin problemas. No estoy seguro de qué hacer en este momento. ¿Asumo que es algo simple que me falta ...?

Para completar, aquí está el error al intentar ejecutar perl circos:

qiime@qiime-190-virtual-box:~/Documents/circos-0.69/bin$ perl circos
*** REQUIRED MODULE(S) MISSING OR OUT-OF-DATE ***

You are missing one or more Perl modules, require newer versions, or some modules failed to load. Use CPAN to install it as described in this tutorial

http://www.circos.ca/documentation/tutorials/configuration/perl_and_modules

missing GD
  error Can't locate GD.pm in @INC (@INC contains: /home/qiime/Documents/circos-0.69/bin/lib /home/qiime/Documents/circos-0.69/bin/../lib /home/qiime/Documents/circos-0.69/bin /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at (eval 25) line 1.
missing GD::Polyline
  error Can't locate GD/Polyline.pm in @INC (@INC contains: /home/qiime/Documents/circos-0.69/bin/lib /home/qiime/Documents/circos-0.69/bin/../lib /home/qiime/Documents/circos-0.69/bin /etc/perl /usr/local/lib/perl/5.14.2 /usr/local/share/perl/5.14.2 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.14 /usr/share/perl/5.14 /usr/local/lib/site_perl .) at (eval 26) line 1.

EDITAR: ACTUALIZAR Descubrí que es posible que no haya instalado libgd, así que lo hice. Intenté ejecutar install GD.pm en el shell cpan:

cpan[1]> install GD.pm
Reading '/home/qiime/.cpan/Metadata'
  Database was generated on Wed, 27 Jan 2016 07:41:02 GMT
Running install for module 'GD'
Checksum for /home/qiime/.cpan/sources/authors/id/L/LD/LDS/GD-2.56.tar.gz ok
Scanning cache /home/qiime/.cpan/build for sizes
............................................................................DONE
Configuring L/LD/LDS/GD-2.56.tar.gz with Build.PL
Configuring for libgd version 2.0.36.
Checking for stray libgd header files...none found.

Unknown option: installdirs
Usage: perl Build.PL [options]

Configure GD module.

 Options:
     -options       "JPEG,FT,PNG,GIF,XPM,ANIMGIF"   feature options, separated by commas
     -lib_gd_path   path            path to libgd
     -lib_ft_path   path            path to Freetype library
     -lib_png_path  path            path to libpng
     -lib_jpeg_path path            path to libjpeg
     -lib_xpm_path  path            path to libxpm
     -lib_zlib_path path            path to libpng
     -ignore_missing_gd             Ignore missing or old libgd installations and try to compile anyway

If no options are passed on the command line.  The program will
attempt to autoconfigure itself with the gdlib-config program (present
in GD versions 2.0.27 or later).  Otherwise it will prompt for these
values interactively.
Warning: No success on command[/usr/bin/perl Build.PL --installdirs site]
  LDS/GD-2.56.tar.gz
  /usr/bin/perl Build.PL --installdirs site -- NOT OK
Failed during this command:
 LDS/GD-2.56.tar.gz                           : writemakefile NO '/usr/bin/perl Build.PL --installdirs site' returned status 512
3
Gaius Augustus 27 ene. 2016 a las 23:03

2 respuestas

La mejor respuesta

Esto no es realmente una solución per se , pero eche un vistazo a:

2
Community 23 may. 2017 a las 12:14

Como sugirió G. Cito, hubo un problema con el módulo GD en perl.

Usé las instrucciones que publicó junto con lo siguiente para corregir los errores:

Específicamente, el último fragmento de código era lo que necesitaba para instalar correctamente el módulo GD para perl:

srctemp$ curl -O http://www.cpan.org/authors/id/L/LD/LDS/GD-2.49.tar.gz (if curl fails copy and past on your browser)
srctemp$ tar -xzvf GD-2.49.tar.gz
srctemp$ cd GD-2.49
srctemp/GD-2.49$ perl Makefile.PL
srctemp/GD-2.49$ make
srctemp/GD-2.49$ sudo make install
3
Community 23 may. 2017 a las 12:08